/**
	@file		
	@brief 		File containing the headers of dsr protocol handling functions
	@author		Adrían Antoñana Gómez
	@author		Carlos Díaz Cánovas
	@version	rc-2008/12/07

*/
#ifndef _DSR_PROCESS_H
#define _DSR_PROCESS_H

#define MAX_SENT 100
#define BUFFER_FULL 3
#define REFRESH_T 10


void clean();
int inList(uint8_t search, uint8_t *in, uint8_t listLen);
uint8_t dsrStartRouteRequest(uint8_t thisNode, uint8_t dest, uint8_t id);
uint8_t dsrProcessRouteRequest(uint8_t *data, uint8_t thisNode);
uint8_t dsrProcessRouteReply(uint8_t *data, uint8_t thisNode, uint8_t *ret);

#endif

